RedCrawler API
Scrape V1

Stickied Post by Subreddit Name V1

Get the stickied (pinned) post from a community. SFW only — use V2 for NSFW.

GET /api/v1/publishing/sticky/{subreddit}

Get the stickied (pinned) post from a community. SFW only — use V2 for NSFW.

Path parameters

NameTypeRequiredDescription
subredditstringYesCommunity name.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/publishing/sticky/test" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/publishing/sticky/test", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/publishing/sticky/test"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": [
    {
      "subreddit": "test",
      "selftext": "\n\nCommand | Description\n-------|-----------\n`!cqs` | Get your current [Contributor Quality Score](https://www.reddit.com/r/modnews/comments/16is6dh/contributor_quality_score_available_to_all/).\n`!ping` | pong\n`!autoremove` | Any post or comment containing this command will automatically be removed.\n`!remove` | Replying to your own post with this will cause it to be removed.\n\n\nLet me know if there \u2026",
      "author_fullname": "t2_exampleu",
      "saved": false,
      "gilded": 0,
      "clicked": false,
      "title": "Some test commands",
      "link_flair_richtext": [],
      "subreddit_name_prefixed": "r/test",
      "hidden": false,
      "link_flair_css_class": null,
      "downs": 0,
      "thumbnail_height": null,
      "hide_score": false,
      "name": "t3_1sys4r2",
      "quarantine": false,
      "link_flair_text_color": "dark",
      "upvote_ratio": 0.93,
      "author_flair_background_color": null,
      "ups": 55,
      "total_awards_received": 0,
      "media_embed": {},
      "thumbnail_width": null,
      "is_original_content": false,
      "secure_media": null,
      "is_reddit_media_domain": false,
      "is_meta": false,
      "category": null,
      "secure_media_embed": {},
      "link_flair_text": null,
      "score": 55,
      "is_created_from_ads_ui": false,
      "author_premium": true,
      "thumbnail": "self",
      "edited": false,
      "author_flair_css_class": null,
      "author_flair_richtext": [],
      "gildings": {},
      "content_categories": null,
      "is_self": true,
      "created": 1701995342.0,
      "link_flair_type": "text",
      "removed_by_category": null,
      "author_flair_type": "text",
      "domain": "self.test",
      "allow_live_comments": false,
      "selftext_html": "<!-- SC_OFF --><div class=\"md\"><table><thead>\n<tr>\n<th>Command</th>\n<th>Description</th>\n</tr>\n</thead><tbody>\n<tr>\n<td><code>!cqs</code></td>\n<td>Get your current <a href=\"https://www.reddit.com/r/modnews/comments/16is6dh/contributor_quality_score_available_to_all/\">Contributor Qualit\u2026",
      "likes": null,
      "suggested_sort": null,
      "archived": false,
      "is_crosspostable": false,
      "pinned": false,
      "over_18": false,
      "all_awardings": [],
      "spoiler": false,
      "locked": false,
      "author_flair_text": null,
      "visited": false,
      "removed_by": null,
      "distinguished": "moderator",
      "subreddit_id": "t5_examples",
      "author_is_blocked": false,
      "link_flair_background_color": "",
      "id": "18da1zl",
      "author": "PitchforkAssistant",
      "num_comments": 3068,
      "send_replies": false,
      "contest_mode": false,
      "author_flair_text_color": null,
      "permalink": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
      "stickied": true,
      "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
      "subreddit_subscribers": 41527,
      "created_utc": 1701995342.0,
      "num_crossposts": 2,
      "media": null,
      "is_video": false
    }
  ],
  "error": null,
  "timestamp": "2026-04-29T08:58:43.461276+00:00"
}

On this page